-- MySQL dump 10.11
--
-- Host: localhost    Database: fidohis2
-- ------------------------------------------------------
-- Server version	5.0.51a-community-nt-log

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;

--
-- Table structure for table `nl_entry`
--

DROP TABLE IF EXISTS `nl_entry`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nl_entry` (
  `id_nodelist` int(10) unsigned NOT NULL,
  `id_nl_line` int(10) unsigned NOT NULL,
  PRIMARY KEY  (`id_nodelist`,`id_nl_line`),
  KEY `idx_id_nl_line` USING BTREE (`id_nl_line`,`id_nodelist`),
  CONSTRAINT `nl_entry_ibfk_1` FOREIGN KEY (`id_nodelist`) REFERENCES `nodelist` (`id_nodelist`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `nl_entry_ibfk_2` FOREIGN KEY (`id_nl_line`) REFERENCES `nl_line` (`id_nl_line`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 PACK_KEYS=1 COMMENT='Nodelist entries';
SET character_set_client = @saved_cs_client;


--
-- Table structure for table `nl_history`
--

DROP TABLE IF EXISTS `nl_history`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nl_history` (
  `id_nl_node` int(10) unsigned NOT NULL,
  `id_nodelist_first` int(10) unsigned NOT NULL,
  `id_nodelist_last` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  USING BTREE (`id_nl_node`,`id_nodelist_first`,`id_nodelist_last`),
  KEY `FK_nl_history_2` (`id_nodelist_first`),
  KEY `FK_nl_history_3` (`id_nodelist_last`),
  CONSTRAINT `FK_nl_history_1` FOREIGN KEY (`id_nl_node`) REFERENCES `nl_node` (`id_nl_node`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_nl_history_2` FOREIGN KEY (`id_nodelist_first`) REFERENCES `nodelist` (`id_nodelist`) ON DELETE CASCADE ON UPDATE CASCADE,
  CONSTRAINT `FK_nl_history_3` FOREIGN KEY (`id_nodelist_last`) REFERENCES `nodelist` (`id_nodelist`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Nodelist history';
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `nl_line`
--

DROP TABLE IF EXISTS `nl_line`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nl_line` (
  `id_nl_line` int(10) unsigned NOT NULL auto_increment,
  `id_nl_node` int(10) unsigned NOT NULL,
  `state` enum('Pvt','Hold','Down','') default NULL,
  `nodename` varchar(80) NOT NULL,
  `location` varchar(80) NOT NULL,
  `phone` varchar(80) NOT NULL,
  `baudrate` int(10) unsigned NOT NULL,
  `flags` varchar(128) NOT NULL,
  `hnline` varchar(40) NOT NULL,
  PRIMARY KEY  (`id_nl_line`),
  UNIQUE KEY `idx_hnline` USING BTREE (`hnline`),
  KEY `idx_nodename` (`nodename`),
  KEY `idx_location` (`location`),
  KEY `idx_phone` (`phone`),
  KEY `nl_line_ibfk_1` (`id_nl_node`),
  CONSTRAINT `nl_line_ibfk_1` FOREIGN KEY (`id_nl_node`) REFERENCES `nl_node` (`id_nl_node`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Nodelist lines; InnoDB free: 2755584 kB';
SET character_set_client = @saved_cs_client;

--
-- Table structure for table `nl_node`
--

DROP TABLE IF EXISTS `nl_node`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nl_node` (
  `id_nl_node` int(10) unsigned NOT NULL auto_increment,
  `keyword` enum('Zone','Region','Host','Hub','Node','Point') NOT NULL,
  `zone` smallint(5) unsigned NOT NULL,
  `region` smallint(5) unsigned NOT NULL,
  `net` smallint(5) unsigned NOT NULL,
  `hub` smallint(5) unsigned NOT NULL,
  `node` smallint(5) unsigned NOT NULL,
  `point` smallint(5) unsigned NOT NULL,
  `sysop` varchar(80) NOT NULL,
  `sysop_lastname` varchar(80) NOT NULL,
  `hnode` varchar(32) NOT NULL,
  PRIMARY KEY  (`id_nl_node`),
  KEY `idx_zone_region` (`zone`,`region`),
  KEY `idx_zone_net_hub` (`zone`,`net`,`hub`),
  KEY `idx_sysop` (`sysop`),
  KEY `idx_sysop_ln` (`sysop_lastname`),
  KEY `idx_keyword` (`keyword`),
  KEY `idx_hnode` (`hnode`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='node definition';
SET character_set_client = @saved_cs_client;


--
-- Table structure for table `nl_stat`
--

DROP TABLE IF EXISTS `nl_stat`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nl_stat` (
  `id_nl_stat` int(10) unsigned NOT NULL auto_increment,
  `id_nodelist` int(10) unsigned NOT NULL,
  `zone` smallint(5) unsigned NOT NULL,
  `region` smallint(5) unsigned NOT NULL,
  `net` smallint(5) unsigned NOT NULL,
  `nodes` smallint(5) unsigned NOT NULL,
  PRIMARY KEY  (`id_nl_stat`),
  KEY `idx_zone_region_net` USING BTREE (`zone`,`region`,`net`),
  KEY `idx_zone_net` USING BTREE (`zone`,`net`),
  KEY `idx_id_zone_region` (`id_nodelist`,`zone`,`region`),
  CONSTRAINT `FK_nl_stat_1` FOREIGN KEY (`id_nodelist`) REFERENCES `nodelist` (`id_nodelist`) ON DELETE CASCADE ON UPDATE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Statistics';
SET character_set_client = @saved_cs_client;



--
-- Table structure for table `nodelist`
--

DROP TABLE IF EXISTS `nodelist`;
SET @saved_cs_client     = @@character_set_client;
SET character_set_client = utf8;
CREATE TABLE `nodelist` (
  `id_nodelist` int(10) unsigned NOT NULL auto_increment,
  `id_nl_frmt` smallint(4) unsigned NOT NULL,
  `id_nl_type` smallint(4) unsigned NOT NULL,
  `year` char(4) NOT NULL,
  `day` char(3) NOT NULL COMMENT 'day number',
  `crc` smallint(5) unsigned default NULL COMMENT 'crc-16 from 1st nodelist line',
  `date` date default NULL COMMENT 'date from 1st nodelist line',
  `hndl` varchar(32) NOT NULL,
  PRIMARY KEY  (`id_nodelist`),
  KEY `idx_frmt` (`id_nl_frmt`),
  KEY `idx_type` (`id_nl_type`),
  KEY `idx_date` (`date`),
  KEY `idx_hndl` (`hndl`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='Fidonet nodelists';
SET character_set_client = @saved_cs_client;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

-- Dump completed on 2008-09-23  8:47:27
